From a8d3619f65e65cb5a7e24f148a4924339a1a702f Mon Sep 17 00:00:00 2001
From: barracuda156 <vital.had@gmail.com>
Date: Wed, 13 Dec 2023 19:42:56 +0800
Subject: [PATCH] cc.cmake: add optflags for G5 and G4 kernels

---
 cmake/cc.cmake | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git cmake/cc.cmake cmake/cc.cmake
index 7b4ef8947..ac8661a7b 100644
--- cmake/cc.cmake
+++ cmake/cc.cmake
@@ -282,6 +282,18 @@ if (${CORE} STREQUAL POWER8)
   endif ()
 endif ()
 
+if (${CORE} STREQUAL PPC970)
+  if (NOT DYNAMIC_ARCH)
+    set (CCOMMON_OPT  "${CCOMMON_OPT} -mcpu=970 -mtune=970 -maltivec -fno-fast-math")
+  endif ()
+endif ()
+
+if (${CORE} STREQUAL PPCG4)
+  if (NOT DYNAMIC_ARCH)
+    set (CCOMMON_OPT  "${CCOMMON_OPT} -mcpu=G4 -mtune=G4 -maltivec -fno-fast-math")
+  endif ()
+endif ()
+
 if (NOT DYNAMIC_ARCH)
 	if (HAVE_AVX2)
         set (CCOMMON_OPT  "${CCOMMON_OPT} -mavx2")
